Mutilate-a-Doll 2

1 / 8
2 / 8
3 / 8
4 / 8
5 / 8
6 / 8
7 / 8
8 / 8
Region GLOBAL
Platform STEAM
INSTANT DELIVRY

PRICE
200
$9.99 100% OFF
Live Stock Report You receive your product instantly.
Additional information
Release date
Mar 1, 2019
Languages
German, Spanish, French, English, Italian

Instructions to activate Mutilate-a-Doll 2 steam key free

(1) Launch Steam and log into your Steam account. (2) Click the Games Menu. (3) Choose Activate a Product on Steam. (4) Follow the onscreen instructions to activate Mutilate-a-Doll 2 key. After successful code verification go to the "MY GAMES" tab and start downloading.
Recommended products
Description

Description of Mutilate-a-Doll 2 free steam key

Free Mutilate-a-Doll 2 steam key giveaway on SteamGateways. Instant download. FREE steam games. FREE steam keys. CD Keys Gift. Instant delivery 24/7. FREE Codes & Giveaways. Mutilate-a-Doll 2 cd key free

Mutilate-a-Doll 2 key free

A highly customizable virtual stressball and physics sandbox about mutilating ragdolls in various ways using an overwhelming amount of weapons and tools.
Mutilate

  • Use hundreds of weapons to mutilate disposable ragdolls designed for weapons testing.
    (Dont worry, they cant feel anything.)



  • Unleash powers to burn, crush, transmute, gust, or even turn the doll into a pile of cookies.

    Destroy

  • Swing sharp melee weapons, shoot firearms, or detonate explosives to dynamically destroy any item including ragdolls.

    Build

    • Design and build using a selection of over 1500 items.
    • All items can be customized by scaling, rotating, colouring, or modifying their settings.
    • Link buttons and other triggers to items with functionality to build traps and contraptions.




Source: steampowered.com

System requirements
Windows Requirements
  • OS: Windows 7
  • Processor: 1.6GHz
  • Memory: 2 GB RAM
  • Storage: 30 MB available space
  • Additional Notes: MaD2 is a software accelerated Flash game. Hardware will help, but only up until a point.
Mac Requirements
Not available.
Linux Requirements
Not available.